GENWQE_POKE(1)

NAME
genwqe_poke - IBM Hardware Accelerator Tool.

SYNOPSIS
genwqe_poke [-h] [-v,--verbose]

DESCRIPTION

-C,--card <cardno> can be (0...3)

-A, --accelerator-type=GENWQE|CAPI CAPI is only available for System p

-V, --version
    print version.

-q, --quiet
    quiece output.

-w, --width <32|64>
    access width, 64: default

-X, --cpu <id>
    only run on this CPU.

-i, --interval <intv>
    interval in usec, 0: default.

-c, --count <mum>
    number of pokes, 1: default

-r, --read-back
    read back and verify.

-p, --psl-bar <bar>
    access PSL bar (CAPI only)

-m, --mask <mask>
    x = (x & ~mask) | (val & mask)

    <addr> <val>

  Example:

    genwqe_poke 0x0000000 0xdeadbeef

  Testcase to trigger error recovery code on genwqe card:

    Fatal GFIR:

    genwqe_poke -C0 0x00000008 0x001

    Info GFIR by writing to VF:

    genwqe_poke -C2 0x00020020 0x800

    Registers for Capi card (-A CAPI)

FIR Reg:
    0x1000 ... 0x1028, 6 Regs

    Err. Inj Reg: 0x1800 and 0x1808 Agr. Regs: 0x2000 and 0x2078 Gzip Regs: 0x2100 and 0x2178

    Only CAPI (debugging):

    genwqe_poke -ACAPI -C0 --psl-bar=2 --width=64 --mask <mask> <offs> <data>